<template>
  <v-container>
    <v-layout text-xs-center justify-center wrap>
      <v-flex xs12>
        <v-img
          :src="require('../assets/logo.svg')"
          class="my-3"
          contain
          height="200"
        ></v-img>
      </v-flex>

      <v-flex mb-4>
        <h1 class="display-2">
          <span class="font-weight-bold">Welcome to&nbsp;</span>
          <span class="font-weight-light">
            <span class="primary--text">DAVIS</span> 420
          </span>
        </h1>
      </v-flex>

      <v-flex xs12>
        <v-layout class="justify-center mt-3" row wrap>
          <v-flex
            xl2
            lg3
            md6
            sm7
            xs11
            class="ma-2"
            v-for="(step, index) in steps"
            v-bind:key="step.text"
          >
            <v-card class="pa-3" color="primary lighten-1" height="100%">
              <v-card-text class="justify-center">
                <v-img
                  :src="require(`../assets/${step.image}`)"
                  contain
                  height="200"
                ></v-img>
                <v-divider class="ma-3" />
                <v-avatar color="accent">
                  <span class="white--text headline">{{ index + 1 }}</span>
                </v-avatar>
              </v-card-text>
              <h2 class="white--text">{{ step.text }}</h2>
            </v-card>
          </v-flex>
        </v-layout>
      </v-flex>

      <v-flex xs6 mb-5 mt-4>
        <v-layout justify-center>
          <v-btn color="success" block to="/upload"
            >Explore your own dataset</v-btn
          >
          <v-btn color="primary" block to="/insights"
            >Browse insights of others</v-btn
          >
        </v-layout>
      </v-flex>

      <v-flex xs7 class="mb-5">
        <v-divider></v-divider>
      </v-flex>

      <v-flex mb-4 xs7>
        <h2 class="display-2 font-weight-regular mb-3">Meet the team</h2>
        <v-layout row wrap justify-center>
          <v-flex
            xl3
            lg3
            md6
            sm7
            xs11
            class="ma-2"
            v-for="member in team"
            v-bind:key="member.name"
          >
            <v-card light width="100%" height="100%">
              <v-responsive>
                <v-avatar color="primary" size="75" class="my-2">
                  <v-img class="elevation-4" :src="member.avatar"></v-img>
                </v-avatar>
              </v-responsive>
              <v-card-text>
                <span class="font-weight-bold">{{ member.name }}</span>
                <v-divider class="my-2" />
                {{ member.text }}
              </v-card-text>
            </v-card>
          </v-flex>
        </v-layout>
      </v-flex>

      <v-flex xs7 class="mb-5">
        <v-divider></v-divider>
      </v-flex>

      <v-flex mb-4 xs7>
        <h2 class="display-2 font-weight-regular mb-3">Play our video</h2>
        <v-layout row wrap justify-center>
          <Media
            :kind="'video'"
            :controls="true"
            :src="require('../assets/video.mp4')"
            :style="{ width: '100%', height: '100%' }"
          ></Media>
        </v-layout>
      </v-flex>

      <v-flex xs7 class="mb-5">
        <v-divider></v-divider>
      </v-flex>

      <v-flex mb-4 xs7>
        <h2 class="display-2 font-weight-regular mb-3">Read our report</h2>
        <v-layout row wrap justify-center>
          <v-flex xs12>
            <v-img
              :src="require('../assets/report.png')"
              class="my-3"
              :style="{ width: '100%', height: '100%' }"
            ></v-img>
          </v-flex>
        </v-layout>
      </v-flex>

      <v-flex xs6 mb-5 mt-4>
        <v-layout justify-center>
          <a :href="require('../assets/pdf/report.pdf')" download>
            <v-btn color="success">Download</v-btn>
          </a>
        </v-layout>
      </v-flex>
    </v-layout>
  </v-container>
</template>

<script>
import Media from "@dongido/vue-viaudio";
export default {
  components: {
    Media
  },
  data: () => ({
    steps: [
      {
        text: "Upload your data",
        image: "upload.svg"
      },
      {
        text: "Analyze visualizations",
        image: "in_thought.svg"
      },
      {
        text: "Save your work",
        image: "download.svg"
      }
    ],
    // https://getavataaars.com/
    team: [
      {
        name: "Luc Geven",
        avatar:
          "https://avataaars.io/?avatarStyle=Transparent&topType=ShortHairShortFlat&accessoriesType=Blank&hairColor=Black&facialHairType=Blank&clotheType=Hoodie&clotheColor=Blue02&eyeType=Default&eyebrowType=DefaultNatural&mouthType=Default&skinColor=Light",
        text:
          "Worked primarily on visualising and the force directed graph and increasing the performance of the force directed graph. Furthermore, I have worked on the interactions in and between different visualisations, like hovering, dragging, panning, focusing, and selecting."
      },
      {
        name: "Jasper Geelen",
        avatar:
          "https://avataaars.io/?avatarStyle=Transparent&topType=ShortHairShortFlat&accessoriesType=Blank&hairColor=BrownDark&facialHairType=Blank&clotheType=GraphicShirt&clotheColor=Red&graphicType=Bat&eyeType=Default&eyebrowType=DefaultNatural&mouthType=Default&skinColor=Light",
        text:
          "Hello my name is Jasper and I worked primarily on the radial node link diagram. Furthermore I made the interactive slider that determines how many edges are drawn to improve performance of both the radial and force directed node link diagram."
      },
      {
        name: "Niels Gorter",
        avatar:
          "https://avataaars.io/?avatarStyle=Transparent&topType=ShortHairShortRound&accessoriesType=Blank&hairColor=BrownDark&facialHairType=Blank&clotheType=Hoodie&clotheColor=PastelBlue&eyeType=Default&eyebrowType=DefaultNatural&mouthType=Twinkle&skinColor=Light",
        text:
          "Worked primarily on backend code. Worked on parsing the provided CSV datasets to a workable javascript object, on matrix reordering functions, and on optimalization of code, in order to improve speed and efficiency. Also worked on the matrix visualization and producing and editing the project videos."
      },
      {
        name: "Arthur Kernkamp",
        avatar:
          "https://avataaars.io/?avatarStyle=Transparent&topType=ShortHairShortWaved&accessoriesType=Prescription02&hairColor=BlondeGolden&facialHairType=Blank&clotheType=Hoodie&clotheColor=Gray02&eyeType=Default&eyebrowType=DefaultNatural&mouthType=Serious&skinColor=Light",
        text:
          "Worked primarily on the visualizations regarding the hierarchy within the graphs. This includes the tidy tree node-link diagrams and cluster tree node-link diagrams. Also worked on a matrix reordering algortihm for hierarchical clustering."
      },
      {
        name: "Bram van Neerven",
        avatar:
          "https://avataaars.io/?clotheType=BlazerShirt&eyeType=Default&eyebrowType=DefaultNatural&facialHairType=Blank&mouthType=Serious&topType=ShortHairShortFlat",
        text:
          "Fulfilled the role of Scrum Master in the team. Worked primarily on the front-end application architecture and reactivity system in Vue. Also programmed the back-end, which is a serverless architecture leveraging several (Google) Firebase products."
      },
      {
        name: "Harmen van Zee",
        avatar:
          "https://avataaars.io/?avatarStyle=Transparent&topType=ShortHairShortFlat&accessoriesType=Blank&hairColor=Black&facialHairType=Blank&clotheType=Hoodie&clotheColor=Heather&eyeType=Side&eyebrowType=Default&mouthType=Default&skinColor=Light",
        text:
          "Worked primarily on the visualization of the matrix and make some of its interactions, like the click function to show the value, source and target of a link in the matrix."
      }
    ]
  }),
  methods: {}
};
</script>

<style></style>
